org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans

## Class PasscodePolicy

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.BasicOperation
  - - org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.PasscodePolicy

-     public class PasscodePolicy
      extends BasicOperation

  Bean for device updateLockOperation screen passcode policy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasscodePolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxFailedAttempts()`
    `int` | `getMaxInactiveTime()`
    `int` | `getMaxPINAgeInDays()`
    `int` | `getMinComplexChars()`
    `int` | `getMinLength()`
    `int` | `getPinHistory()`
    `boolean` | `isAllowSimple()`
    `boolean` | `isEnablePassword()`
    `boolean` | `isRequireAlphanumeric()`
    `void` | `setAllowSimple(boolean allowSimple)`
    `void` | `setEnablePassword(boolean enablePassword)`
    `void` | `setMaxFailedAttempts(int maxFailedAttempts)`
    `void` | `setMaxInactiveTime(int maxInactiveTime)`
    `void` | `setMaxPINAgeInDays(int maxPINAgeInDays)`
    `void` | `setMinComplexChars(int minComplexChars)`
    `void` | `setMinLength(int minLength)`
    `void` | `setPinHistory(int pinHistory)`
    `void` | `setRequireAlphanumeric(boolean requireAlphanumeric)`

    - ### Methods inherited from class org.wso2.carbon.device.mgt.mobile.windows.api.services.syncml.beans.BasicOperation

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasscodePolicy

          public PasscodePolicy()

  - ### Method Detail

    - #### getMaxInactiveTime

          public int getMaxInactiveTime()

    - #### setMaxInactiveTime

          public void setMaxInactiveTime(int maxInactiveTime)

    - #### isEnablePassword

          public boolean isEnablePassword()

    - #### setEnablePassword

          public void setEnablePassword(boolean enablePassword)

    - #### getMaxFailedAttempts

          public int getMaxFailedAttempts()

    - #### setMaxFailedAttempts

          public void setMaxFailedAttempts(int maxFailedAttempts)

    - #### getMinLength

          public int getMinLength()

    - #### setMinLength

          public void setMinLength(int minLength)

    - #### getPinHistory

          public int getPinHistory()

    - #### setPinHistory

          public void setPinHistory(int pinHistory)

    - #### getMinComplexChars

          public int getMinComplexChars()

    - #### setMinComplexChars

          public void setMinComplexChars(int minComplexChars)

    - #### getMaxPINAgeInDays

          public int getMaxPINAgeInDays()

    - #### setMaxPINAgeInDays

          public void setMaxPINAgeInDays(int maxPINAgeInDays)

    - #### isRequireAlphanumeric

          public boolean isRequireAlphanumeric()

    - #### setRequireAlphanumeric

          public void setRequireAlphanumeric(boolean requireAlphanumeric)

    - #### isAllowSimple

          public boolean isAllowSimple()

    - #### setAllowSimple

          public void setAllowSimple(boolean allowSimple)

Copyright © 2017 WSO2. All rights reserved.